[arch-commits] Commit in nodejs-lts-argon/repos (8 files)
Balló György
bgyorgy at archlinux.org
Mon Oct 16 12:43:57 UTC 2017
Date: Monday, October 16, 2017 @ 12:43:52
Author: bgyorgy
Revision: 263065
archrelease: copy trunk to community-i686, community-x86_64
Added:
nodejs-lts-argon/repos/community-i686/PKGBUILD
(from rev 263064, nodejs-lts-argon/trunk/PKGBUILD)
nodejs-lts-argon/repos/community-i686/nodejs-v8-icu59.patch
(from rev 263064, nodejs-lts-argon/trunk/nodejs-v8-icu59.patch)
nodejs-lts-argon/repos/community-x86_64/PKGBUILD
(from rev 263064, nodejs-lts-argon/trunk/PKGBUILD)
nodejs-lts-argon/repos/community-x86_64/nodejs-v8-icu59.patch
(from rev 263064, nodejs-lts-argon/trunk/nodejs-v8-icu59.patch)
Deleted:
nodejs-lts-argon/repos/community-i686/PKGBUILD
nodejs-lts-argon/repos/community-i686/nodejs-v8-icu59.patch
nodejs-lts-argon/repos/community-x86_64/PKGBUILD
nodejs-lts-argon/repos/community-x86_64/nodejs-v8-icu59.patch
----------------------------------------+
/PKGBUILD | 128 +++++++++++++++++++++++++++++++
/nodejs-v8-icu59.patch | 20 ++++
community-i686/PKGBUILD | 64 ---------------
community-i686/nodejs-v8-icu59.patch | 10 --
community-x86_64/PKGBUILD | 64 ---------------
community-x86_64/nodejs-v8-icu59.patch | 10 --
6 files changed, 148 insertions(+), 148 deletions(-)
Deleted: community-i686/PKGBUILD
===================================================================
--- community-i686/PKGBUILD 2017-10-16 12:43:29 UTC (rev 263064)
+++ community-i686/PKGBUILD 2017-10-16 12:43:52 UTC (rev 263065)
@@ -1,64 +0,0 @@
-# Maintainer: Bruno Pagani (a.k.a. ArchangeGabriel) <archange at archlinux.org>
-
-pkgname=nodejs-lts-argon
-pkgver=4.8.4
-pkgrel=1
-pkgdesc='Evented I/O for V8 javascript (LTS release: Argon)'
-arch=('i686' 'x86_64')
-url='https://nodejs.org/'
-license=('MIT')
-depends=('openssl-1.0' 'zlib' 'icu' 'libuv' 'http-parser')
-makedepends=('python2' 'procps-ng')
-optdepends=('npm: nodejs package manager')
-provides=('nodejs')
-conflicts=('nodejs')
-source=("${url}/dist/v${pkgver}/node-v${pkgver}.tar.xz"
- 'nodejs-v8-icu59.patch')
-sha256sums=('35fe633a48cbe93c79327161d9dc964ac9810f4ceb2ed8628487e6e14a15905b'
- '3b4d747522f655054829a67b5358f6f1c8bcbb2845f8e0f9866c9c78e55e1be8')
-
-prepare() {
- cd node-v${pkgver}
-
- patch -p1 -i ../nodejs-v8-icu59.patch
-
- msg 'Fixing for python2 name'
- find -type f -exec sed \
- -e 's_^#!/usr/bin/env python$_&2_' \
- -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
- -e 's_^#!/usr/bin/python$_&2_' \
- -e 's_^\( *exec \+\)python\( \+.*\)$_\1python2\2_'\
- -e 's_^\(.*\)python\( \+-c \+.*\)$_\1python2\2_'\
- -e "s_'python'_'python2'_" -i {} \;
- find test/ -type f -exec sed 's_python _python2 _' -i {} \;
-}
-
-build() {
- cd node-v${pkgver}
- export PKG_CONFIG_PATH=/usr/lib/openssl-1.0/pkgconfig
- export PYTHON=python2
- ./configure \
- --prefix=/usr \
- --with-intl=system-icu \
- --without-npm \
- --shared-openssl \
- --shared-zlib \
- --shared-libuv \
- --shared-http-parser
-
- make
-}
-
-check() {
- cd node-v${pkgver}
- # At least two expected failures because of OpenSSL 1.1 vs 1.0
- make test || warning "Tests failed"
-}
-
-package() {
- cd node-v${pkgver}
-
- make DESTDIR="${pkgdir}" install
-
- install -Dm644 LICENSE "${pkgdir}"/usr/share/licenses/nodejs/LICENSE
-}
Copied: nodejs-lts-argon/repos/community-i686/PKGBUILD (from rev 263064, nodejs-lts-argon/trunk/PKGBUILD)
===================================================================
--- community-i686/PKGBUILD (rev 0)
+++ community-i686/PKGBUILD 2017-10-16 12:43:52 UTC (rev 263065)
@@ -0,0 +1,64 @@
+# Maintainer: Bruno Pagani (a.k.a. ArchangeGabriel) <archange at archlinux.org>
+
+pkgname=nodejs-lts-argon
+pkgver=4.8.4
+pkgrel=2
+pkgdesc='Evented I/O for V8 javascript (LTS release: Argon)'
+arch=('i686' 'x86_64')
+url='https://nodejs.org/'
+license=('MIT')
+depends=('openssl-1.0' 'zlib' 'icu' 'libuv' 'http-parser')
+makedepends=('python2' 'procps-ng')
+optdepends=('npm: nodejs package manager')
+provides=("nodejs=$pkgver")
+conflicts=('nodejs')
+source=("${url}/dist/v${pkgver}/node-v${pkgver}.tar.xz"
+ 'nodejs-v8-icu59.patch')
+sha256sums=('35fe633a48cbe93c79327161d9dc964ac9810f4ceb2ed8628487e6e14a15905b'
+ '3b4d747522f655054829a67b5358f6f1c8bcbb2845f8e0f9866c9c78e55e1be8')
+
+prepare() {
+ cd node-v${pkgver}
+
+ patch -p1 -i ../nodejs-v8-icu59.patch
+
+ msg 'Fixing for python2 name'
+ find -type f -exec sed \
+ -e 's_^#!/usr/bin/env python$_&2_' \
+ -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
+ -e 's_^#!/usr/bin/python$_&2_' \
+ -e 's_^\( *exec \+\)python\( \+.*\)$_\1python2\2_'\
+ -e 's_^\(.*\)python\( \+-c \+.*\)$_\1python2\2_'\
+ -e "s_'python'_'python2'_" -i {} \;
+ find test/ -type f -exec sed 's_python _python2 _' -i {} \;
+}
+
+build() {
+ cd node-v${pkgver}
+ export PKG_CONFIG_PATH=/usr/lib/openssl-1.0/pkgconfig
+ export PYTHON=python2
+ ./configure \
+ --prefix=/usr \
+ --with-intl=system-icu \
+ --without-npm \
+ --shared-openssl \
+ --shared-zlib \
+ --shared-libuv \
+ --shared-http-parser
+
+ make
+}
+
+check() {
+ cd node-v${pkgver}
+ # At least two expected failures because of OpenSSL 1.1 vs 1.0
+ make test || warning "Tests failed"
+}
+
+package() {
+ cd node-v${pkgver}
+
+ make DESTDIR="${pkgdir}" install
+
+ install -Dm644 LICENSE "${pkgdir}"/usr/share/licenses/$pkgname/LICENSE
+}
Deleted: community-i686/nodejs-v8-icu59.patch
===================================================================
--- community-i686/nodejs-v8-icu59.patch 2017-10-16 12:43:29 UTC (rev 263064)
+++ community-i686/nodejs-v8-icu59.patch 2017-10-16 12:43:52 UTC (rev 263065)
@@ -1,10 +0,0 @@
---- a/deps/v8/src/runtime/runtime-i18n.cc
-+++ b/deps/v8/src/runtime/runtime-i18n.cc
-@@ -33,6 +33,7 @@
- #include "unicode/unistr.h"
- #include "unicode/unum.h"
- #include "unicode/uversion.h"
-+#include "unicode/normlzr.h"
-
-
- namespace v8 {
Copied: nodejs-lts-argon/repos/community-i686/nodejs-v8-icu59.patch (from rev 263064, nodejs-lts-argon/trunk/nodejs-v8-icu59.patch)
===================================================================
--- community-i686/nodejs-v8-icu59.patch (rev 0)
+++ community-i686/nodejs-v8-icu59.patch 2017-10-16 12:43:52 UTC (rev 263065)
@@ -0,0 +1,10 @@
+--- a/deps/v8/src/runtime/runtime-i18n.cc
++++ b/deps/v8/src/runtime/runtime-i18n.cc
+@@ -33,6 +33,7 @@
+ #include "unicode/unistr.h"
+ #include "unicode/unum.h"
+ #include "unicode/uversion.h"
++#include "unicode/normlzr.h"
+
+
+ namespace v8 {
Deleted: community-x86_64/PKGBUILD
===================================================================
--- community-x86_64/PKGBUILD 2017-10-16 12:43:29 UTC (rev 263064)
+++ community-x86_64/PKGBUILD 2017-10-16 12:43:52 UTC (rev 263065)
@@ -1,64 +0,0 @@
-# Maintainer: Bruno Pagani (a.k.a. ArchangeGabriel) <archange at archlinux.org>
-
-pkgname=nodejs-lts-argon
-pkgver=4.8.4
-pkgrel=1
-pkgdesc='Evented I/O for V8 javascript (LTS release: Argon)'
-arch=('i686' 'x86_64')
-url='https://nodejs.org/'
-license=('MIT')
-depends=('openssl-1.0' 'zlib' 'icu' 'libuv' 'http-parser')
-makedepends=('python2' 'procps-ng')
-optdepends=('npm: nodejs package manager')
-provides=('nodejs')
-conflicts=('nodejs')
-source=("${url}/dist/v${pkgver}/node-v${pkgver}.tar.xz"
- 'nodejs-v8-icu59.patch')
-sha256sums=('35fe633a48cbe93c79327161d9dc964ac9810f4ceb2ed8628487e6e14a15905b'
- '3b4d747522f655054829a67b5358f6f1c8bcbb2845f8e0f9866c9c78e55e1be8')
-
-prepare() {
- cd node-v${pkgver}
-
- patch -p1 -i ../nodejs-v8-icu59.patch
-
- msg 'Fixing for python2 name'
- find -type f -exec sed \
- -e 's_^#!/usr/bin/env python$_&2_' \
- -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
- -e 's_^#!/usr/bin/python$_&2_' \
- -e 's_^\( *exec \+\)python\( \+.*\)$_\1python2\2_'\
- -e 's_^\(.*\)python\( \+-c \+.*\)$_\1python2\2_'\
- -e "s_'python'_'python2'_" -i {} \;
- find test/ -type f -exec sed 's_python _python2 _' -i {} \;
-}
-
-build() {
- cd node-v${pkgver}
- export PKG_CONFIG_PATH=/usr/lib/openssl-1.0/pkgconfig
- export PYTHON=python2
- ./configure \
- --prefix=/usr \
- --with-intl=system-icu \
- --without-npm \
- --shared-openssl \
- --shared-zlib \
- --shared-libuv \
- --shared-http-parser
-
- make
-}
-
-check() {
- cd node-v${pkgver}
- # At least two expected failures because of OpenSSL 1.1 vs 1.0
- make test || warning "Tests failed"
-}
-
-package() {
- cd node-v${pkgver}
-
- make DESTDIR="${pkgdir}" install
-
- install -Dm644 LICENSE "${pkgdir}"/usr/share/licenses/nodejs/LICENSE
-}
Copied: nodejs-lts-argon/repos/community-x86_64/PKGBUILD (from rev 263064, nodejs-lts-argon/trunk/PKGBUILD)
===================================================================
--- community-x86_64/PKGBUILD (rev 0)
+++ community-x86_64/PKGBUILD 2017-10-16 12:43:52 UTC (rev 263065)
@@ -0,0 +1,64 @@
+# Maintainer: Bruno Pagani (a.k.a. ArchangeGabriel) <archange at archlinux.org>
+
+pkgname=nodejs-lts-argon
+pkgver=4.8.4
+pkgrel=2
+pkgdesc='Evented I/O for V8 javascript (LTS release: Argon)'
+arch=('i686' 'x86_64')
+url='https://nodejs.org/'
+license=('MIT')
+depends=('openssl-1.0' 'zlib' 'icu' 'libuv' 'http-parser')
+makedepends=('python2' 'procps-ng')
+optdepends=('npm: nodejs package manager')
+provides=("nodejs=$pkgver")
+conflicts=('nodejs')
+source=("${url}/dist/v${pkgver}/node-v${pkgver}.tar.xz"
+ 'nodejs-v8-icu59.patch')
+sha256sums=('35fe633a48cbe93c79327161d9dc964ac9810f4ceb2ed8628487e6e14a15905b'
+ '3b4d747522f655054829a67b5358f6f1c8bcbb2845f8e0f9866c9c78e55e1be8')
+
+prepare() {
+ cd node-v${pkgver}
+
+ patch -p1 -i ../nodejs-v8-icu59.patch
+
+ msg 'Fixing for python2 name'
+ find -type f -exec sed \
+ -e 's_^#!/usr/bin/env python$_&2_' \
+ -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
+ -e 's_^#!/usr/bin/python$_&2_' \
+ -e 's_^\( *exec \+\)python\( \+.*\)$_\1python2\2_'\
+ -e 's_^\(.*\)python\( \+-c \+.*\)$_\1python2\2_'\
+ -e "s_'python'_'python2'_" -i {} \;
+ find test/ -type f -exec sed 's_python _python2 _' -i {} \;
+}
+
+build() {
+ cd node-v${pkgver}
+ export PKG_CONFIG_PATH=/usr/lib/openssl-1.0/pkgconfig
+ export PYTHON=python2
+ ./configure \
+ --prefix=/usr \
+ --with-intl=system-icu \
+ --without-npm \
+ --shared-openssl \
+ --shared-zlib \
+ --shared-libuv \
+ --shared-http-parser
+
+ make
+}
+
+check() {
+ cd node-v${pkgver}
+ # At least two expected failures because of OpenSSL 1.1 vs 1.0
+ make test || warning "Tests failed"
+}
+
+package() {
+ cd node-v${pkgver}
+
+ make DESTDIR="${pkgdir}" install
+
+ install -Dm644 LICENSE "${pkgdir}"/usr/share/licenses/$pkgname/LICENSE
+}
Deleted: community-x86_64/nodejs-v8-icu59.patch
===================================================================
--- community-x86_64/nodejs-v8-icu59.patch 2017-10-16 12:43:29 UTC (rev 263064)
+++ community-x86_64/nodejs-v8-icu59.patch 2017-10-16 12:43:52 UTC (rev 263065)
@@ -1,10 +0,0 @@
---- a/deps/v8/src/runtime/runtime-i18n.cc
-+++ b/deps/v8/src/runtime/runtime-i18n.cc
-@@ -33,6 +33,7 @@
- #include "unicode/unistr.h"
- #include "unicode/unum.h"
- #include "unicode/uversion.h"
-+#include "unicode/normlzr.h"
-
-
- namespace v8 {
Copied: nodejs-lts-argon/repos/community-x86_64/nodejs-v8-icu59.patch (from rev 263064, nodejs-lts-argon/trunk/nodejs-v8-icu59.patch)
===================================================================
--- community-x86_64/nodejs-v8-icu59.patch (rev 0)
+++ community-x86_64/nodejs-v8-icu59.patch 2017-10-16 12:43:52 UTC (rev 263065)
@@ -0,0 +1,10 @@
+--- a/deps/v8/src/runtime/runtime-i18n.cc
++++ b/deps/v8/src/runtime/runtime-i18n.cc
+@@ -33,6 +33,7 @@
+ #include "unicode/unistr.h"
+ #include "unicode/unum.h"
+ #include "unicode/uversion.h"
++#include "unicode/normlzr.h"
+
+
+ namespace v8 {
More information about the arch-commits
mailing list